/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include <xercesc/parsers/XercesDOMParser.hpp>
#include <xercesc/dom/DOMNode.hpp>
#include <xercesc/dom/DOMNamedNodeMap.hpp>
#include "DOMutils/v2Utils.hpp"
#include "DOMSerialise.hpp"
#include <assert.h>


ostream & operator << (ostream & target, const XMLCh *toWrite)
{
  target << v2Utils::StringToUTF8(toWrite).c_str();

  return target;
}

ostream & operator << (ostream & target, XERCES_CPP_NAMESPACE_QUALIFIER DOMNodeList *toWrite)
{
  for (unsigned int i = 0; i < toWrite->getLength (); i++)
    {
      target << i << ") ";
      XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *temp = toWrite->item (i);
      target << temp;
    }
  return target;
}

ostream & operator << (ostream & target, XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *toWrite)
{
  const XMLCh *text = v2Utils::serialiseNode(toWrite);
  target << text;
  delete[] (XMLCh *)text;
  return target;
}
